YSTest: YSLib::Components::GValueEventArgs< _type > Struct Template Reference

YSTest PreAlpha_b380_20130211 The YSLib Test Project

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions | Public Attributes | List of all members
YSLib::Components::GValueEventArgs< _type > Struct Template Reference

简单事件参数类。 More...

`#include <ywgtevt.h>`

Inheritance diagram for YSLib::Components::GValueEventArgs< _type >:
[legend]
Collaboration diagram for YSLib::Components::GValueEventArgs< _type >:
[legend]

## Public Types

typedef _type | ValueType
| 值类型。

## Public Member Functions

template<typename... _tParams>
yconstfn | GValueEventArgs (IWidget &wgt, _tParams &&...args)
| 构造：使用部件引用和值。
| operator ValueType () const ynothrow
Public Member Functions inherited from YSLib::Components::UIEventArgs
| UIEventArgs (IWidget &wgt)
| UIEventArgs (const UIEventArgs &)=default
| 复制构造：默认实现。
UIEventArgs & | operator= (const UIEventArgs &)=default
| 复制赋值：默认实现。
IWidget & | GetSender () const ynothrow
void | SetSender (IWidget &wgt)

## Public Attributes

ValueType | Value

## Detailed Description

### template<typename _type>
struct YSLib::Components::GValueEventArgs< _type >

简单事件参数类。

Warning
  非虚析构。

Since
  build 268

保存部件引用和指定类型值的事件参数。

Definition at line 193 of file ywgtevt.h.

## Member Typedef Documentation

template<typename _type >

typedef _type YSLib::Components::GValueEventArgs< _type >::ValueType

值类型。

Definition at line 196 of file ywgtevt.h.

## Constructor & Destructor Documentation

template<typename _type >
template<typename... _tParams>

yconstfn YSLib::Components::GValueEventArgs< _type >::GValueEventArgs | ( | IWidget & | wgt,
|  | _tParams &&... | args
| ) |  |

inline

构造：使用部件引用和值。

Definition at line 205 of file ywgtevt.h.

## Member Function Documentation

template<typename _type >

YSLib::Components::GValueEventArgs< _type >::operator ValueType | ( |  | ) | const

inline

Definition at line 209 of file ywgtevt.h.

## Member Data Documentation

template<typename _type >

ValueType YSLib::Components::GValueEventArgs< _type >::Value

Definition at line 198 of file ywgtevt.h.

The documentation for this struct was generated from the following file:

- ywgtevt.h